<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'question', language 'en_ar', version '4.2'.
 *
 * @package     question
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['adminreport'] = 'Report on possible problems in yer question database.';
$string['cannotdeletebehaviourinuse'] = 'Ye cannot delete the behaviour \'{$a}\'. It is used by question attempts.';
$string['cannotdeletecate'] = 'Ye can\'t delete that category it is the default category for this context.';
$string['cannotdeleteqtypeinuse'] = 'Ye cannot delete the question type \'{$a}\'. There are questions of this type in the question bank.';
$string['cannotdeleteqtypeneeded'] = 'Ye cannot delete the question type \'{$a}\'. There are other question types installed that rely on it.';
$string['cannotmovequestion'] = 'Ye can\'t use this script to move questions that have files associated with them from different areas.';
$string['cannotpreview'] = 'Ye can\'t preview these questions!';
$string['contexterror'] = 'Ye shouldn\'t have got here if you\'re not moving a category to another context.';
$string['correctfeedbackdefault'] = 'Yer answer is correct.';
$string['cwrqpfsinfo'] = '<p>During the upgrade to Moodle 1.9 we will separate question categories into
different contexts. Some question categories and questions on yer site will have to have their sharing
status changed. This is necessary in the rare case that one or more \'random\' questions in a quiz are set up to select from a mixture of
shared and unshared categories (as is the case on this site). This happens when a \'random\' question is set to select
from subcategories and one or more subcategories have a different sharing status to the parent category in which
the random question is created.</p>
<p>The following question categories, from which \'random\' questions in parent categories select questions from,
will have their sharing status changed to the same sharing status as the category with the \'random\' question in
on upgrading to Moodle 1.9. The following categories will have their sharing status changed. Questions which are
affected will continue to work in all existing quizzes until ye remove them from these quizzes.</p>';
$string['cwrqpfsnoprob'] = 'No question categories in yer site are affected by the \'Random questions selecting questions from sub categories\' issue.';
$string['deletecoursecategorywithquestions'] = 'There are questions in the question bank associated with this course category. If ye proceed, they will be deleted. Ye may wish to move them first, using the question bank interface.';
$string['deletequestioncheck'] = 'Are ye absolutely sure ye want to delete \'{$a}\'?';
$string['deletequestionscheck'] = 'Are ye absolutely sure ye want to delete the following questions?<br /><br />{$a}';
$string['errorprocessingresponses'] = 'An error occurred while processing yer responses ({$a}). Click continue to return to the page ye were on and try again.';
$string['filecantmovefrom'] = 'The questions files cannot be moved because ye do not have permission to remove files from the place ye are trying to move questions from.';
$string['filecantmoveto'] = 'The question files cannot be moved or copied becuase ye do not have permission to add files to the place ye are trying to move the questions to.';
$string['generalfeedback_help'] = 'General feedback is shown to the student after they have completed the question. Unlike specific feedback, which depends on the question type and what response the student gave, the same general feedback text is shown to all students.

Ye can use the general feedback to give students a fully worked answer and perhaps a link to more information they can use if they did not understand the questions.';
$string['howquestionsbehave_help'] = 'Students can interact with the questions in the quiz in various different ways. For example, ye may wish the students to enter an answer to each question and then submit the entire quiz, before anything is graded or they get any feedback. That would be \'Deferred feedback\' mode.

Alternatively, ye may wish for students to submit each question as they go along to get immediate feedback, and if they do not get it right immediately, have another try for fewer marks. That would be \'Interactive with multiple tries\' mode.

Those are probably the two most commonly used modes of behaviour.';
$string['importwrongfiletype'] = 'The type of the file ye selected ({$a->actualtype}) does not match the type expected by this import format ({$a->expectedtype}).';
$string['incorrectfeedbackdefault'] = 'Yer answer is incorrect.';
$string['movingcategoryandfiles'] = 'Are ye sure ye want to move category {$a->name} and all child categories to context for "{$a->contextto}"?<br /> We have detected {$a->urlcount} files linked from questions in {$a->fromareaname}, would ye like to copy or move these to {$a->toareaname}?';
$string['movingcategorynofiles'] = 'Are ye sure ye want to move category "{$a->name}" and all child categories to context for "{$a->contextto}"?';
$string['movingquestionsandfiles'] = 'Are ye sure ye want to move question(s) {$a->questions} to context for <strong>"{$a->tocontext}"</strong>?<br /> We have detected <strong>{$a->urlcount} files</strong> linked from these question(s) in {$a->fromareaname}, would ye like to copy or move these to {$a->toareaname}?';
$string['movingquestionsnofiles'] = 'Are ye sure ye want to move question(s) {$a->questions} to context for <strong>"{$a->tocontext}"</strong>?<br /> There are <strong>no files</strong> linked from these question(s) in {$a->fromareaname}.';
$string['needtochoosecat'] = 'Ye need to choose a category to move this question to or press \'cancel\'.';
$string['nopermissionadd'] = 'Ye don\'t have permission to add questions here.';
$string['nopermissionmove'] = 'Ye don\'t have permission to move questions from here. Ye must save the question in this category or save it as a new question.';
$string['noprobs'] = 'No problems found in yer question database.';
$string['noquestions'] = 'No questions were found that could be exported. Make sure that ye have selected a category to export that contains questions.';
$string['notenoughdatatomovequestions'] = 'Ye need to provide the question ids of questions ye want to move.';
$string['partiallycorrectfeedbackdefault'] = 'Yer answer is partially correct.';
$string['penaltyforeachincorrecttry_help'] = 'When ye run yer questions using the \'Interactive with multiple tries\' or \'Adaptive mode\' behaviour, so that the the student will have several tries to get the question right, then this option controls how much they are penalised for each incorrect try.

The penalty is a proportion of the total question grade, so if the question is worth three marks, and the penalty is 0.3333333, then the student will score 3 if they get the question right first time, 2 if they get it right second try, and 1 of they get it right on the third try.';
$string['permissionto'] = 'Ye have permission to :';
$string['questionbehavioursdisabledexplained'] = 'Enter a comma separated list of behaviours ye do not want to appear in dropdown menu';
$string['questionbehavioursorderexplained'] = 'Enter a comma separated list of behaviours in the order ye want them to appear in dropdown menu';
$string['rightanswer_help'] = 'an automatically generated summary of the correct response. This can be limited, so ye may wish to consider explaining the correct solution in the general feedback for the question, and turning this option off.';
$string['submissionoutofsequencefriendlymessage'] = 'Ye have entered data outside the normal sequence. This can occur if ye use yer browser\'s Back or Forward buttons; please don\'t use these during the test. It can also happen if ye click on something while a page is loading. Click <strong>Continue</strong> to resume.';
$string['yougotnright'] = 'Ye have correctly selected {$a->num}.';
$string['youmustselectaqtype'] = 'Ye must select a question type.';
$string['yourfileshoulddownload'] = 'Yer export file should start to download shortly. If not, please <a href="{$a}">click here</a>.';
